Skip to main content
POST
Cancel bulk crypto payment

Requirements to consume the endpoint.

User approved

The user must be approved in at least one country.

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Id of the bulk crypto payment

Response

200 - application/json

OK

createdAt
string

The date and time the order was created

Example:

"2025-01-04T00:24:28.658Z"

userId
string

The unique identifier of the user

Example:

"6757546b4c5d19bf3cd7b09c"

orderIds
string[]

List of order IDs pending payment

Example:
amount
number

The total amount of the orders

Example:

14340

orderIdsPaid
string[]

List of order IDs that have been paid

Example:
asset
enum<string>

Stablecoin the bulk payment collects. Every order in the bulk payment must pay in this asset.

Available options:
USDC,
USDCe,
EURC,
USDT
Example:

"USDC"

network
enum<string>

Network the deposit address is on. Every order in the bulk payment must pay on this network.

Available options:
ethereum,
polygon,
solana,
stellar,
base,
tempo,
tron,
bsc
Example:

"solana"

country
enum<string>

The country of the operation

Available options:
MX,
PE,
CO
status
enum<string>

The current status of the bulk crypto payment.

Available options:
awaitingDepositAddress,
awaitingOrders,
awaitingPayment,
awaitingAsyncPayment,
awaitingAsyncPayoutForOrders,
complete,
failed,
cancelled,
insufficientAmountReceived,
excessAmountReceived
Example:

"awaitingPayment"

depositAddress
string

The deposit address for the order

Example:

"5BZDQjWad45rT1vYT5KdJHgSU4rWXL1Y5nDoTwSrT8Pr"

id
string

The unique identifier of the order

Example:

"67787fbcd520f9ecb10e9be6"